package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.UserPersonal;
import com.lightinit.hsdataportal.entity.UserPersonalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UserPersonalMapper {
    long countByExample(UserPersonalExample example);

    int deleteByExample(UserPersonalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserPersonal record);

    int insertSelective(UserPersonal record);

    List<UserPersonal> selectByExample(UserPersonalExample example);

    UserPersonal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserPersonal record, @Param("example") UserPersonalExample example);

    int updateByExample(@Param("record") UserPersonal record, @Param("example") UserPersonalExample example);

    int updateByPrimaryKeySelective(UserPersonal record);

    int updateByPrimaryKey(UserPersonal record);

    Long insertUserPersonal(UserPersonal userPersonal);
}